apiVersion: kiali.io/v1alpha1
kind: Kiali
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"kiali.io/v1alpha1","kind":"Kiali","metadata":{"annotations":{"maistra.io/mesh-generation":"2.2.0-1-1"},"labels":{"app.kubernetes.io/component":"kiali","app.kubernetes.io/instance":"istio-system","app.kubernetes.io/managed-by":"maistra-istio-operator","app.kubernetes.io/name":"kiali","app.kubernetes.io/part-of":"istio","app.kubernetes.io/version":"2.2.0-1-1","maistra-version":"2.2.0","maistra.io/owner":"istio-system","maistra.io/owner-name":"basic"},"name":"kiali","namespace":"istio-system","ownerReferences":[{"apiVersion":"maistra.io/v2","blockOwnerDeletion":true,"controller":true,"kind":"ServiceMeshControlPlane","name":"basic","uid":"61875c24-385a-470f-8552-a03b6bd6614c"}]},"spec":{"auth":{"strategy":"openshift"},"deployment":{"accessible_namespaces":[],"image_pull_policy":"","ingress_enabled":true,"namespace":"istio-system"},"external_services":{"grafana":{"auth":{"password":"q6wLrVJ4zvyygTUm+rBUjl1K0Om3oEztJ/xLYOOOPwOkgvIiLfKWqDGSGp51tZQsBr+2sUWycMI9jstZBe7Xa51AL3EXLjR34vyP8A175gH76gTvD83ssA5m6QsZF1bHsURN3sFbXvV+29oYZP0jX1SKZXn16SZruZCZIHJj0iAZ+pboJCrfHUV3DOVCb/jhWtDJp4KRSu65erVGzSCtdWOlNlQtCJJ5huMI6iQVQh/xTTbTUjrFB+Q1cW3hXsKy0kRewixIrSYcMu2NKxPLoDwubSU7Z9Yxce4H4lxz9kjX6lBrUk3oGonfOL2eQFYd7AIY+l3xl+65y6Jf9RM1","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":true,"in_cluster_url":"https://grafana.istio-system.svc:3000","url":"https://grafana-istio-system.apps.matt-ocp410.maistra.upshift.redhat.com"},"istio":{"config_map_name":"istio-basic","istio_sidecar_injector_config_map_name":"istio-sidecar-injector-basic","istiod_deployment_name":"istiod-basic","url_service_version":"http://istiod-basic.istio-system:15014/version"},"prometheus":{"auth":{"password":"q6wLrVJ4zvyygTUm+rBUjl1K0Om3oEztJ/xLYOOOPwOkgvIiLfKWqDGSGp51tZQsBr+2sUWycMI9jstZBe7Xa51AL3EXLjR34vyP8A175gH76gTvD83ssA5m6QsZF1bHsURN3sFbXvV+29oYZP0jX1SKZXn16SZruZCZIHJj0iAZ+pboJCrfHUV3DOVCb/jhWtDJp4KRSu65erVGzSCtdWOlNlQtCJJ5huMI6iQVQh/xTTbTUjrFB+Q1cW3hXsKy0kRewixIrSYcMu2NKxPLoDwubSU7Z9Yxce4H4lxz9kjX6lBrUk3oGonfOL2eQFYd7AIY+l3xl+65y6Jf9RM1","type":"basic","use_kiali_token":false,"username":"internal"},"url":"https://prometheus.istio-system.svc:9090"},"tracing":{"auth":{"password":"q6wLrVJ4zvyygTUm+rBUjl1K0Om3oEztJ/xLYOOOPwOkgvIiLfKWqDGSGp51tZQsBr+2sUWycMI9jstZBe7Xa51AL3EXLjR34vyP8A175gH76gTvD83ssA5m6QsZF1bHsURN3sFbXvV+29oYZP0jX1SKZXn16SZruZCZIHJj0iAZ+pboJCrfHUV3DOVCb/jhWtDJp4KRSu65erVGzSCtdWOlNlQtCJJ5huMI6iQVQh/xTTbTUjrFB+Q1cW3hXsKy0kRewixIrSYcMu2NKxPLoDwubSU7Z9Yxce4H4lxz9kjX6lBrUk3oGonfOL2eQFYd7AIY+l3xl+65y6Jf9RM1","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":true,"in_cluster_url":"https://jaeger-query.istio-system.svc","namespace":"istio-system","service":"","url":"https://jaeger-istio-system.apps.matt-ocp410.maistra.upshift.redhat.com"}},"installation_tag":"Kiali
      [istio-system]","istio_namespace":"istio-system","version":"v1.36"}}
    maistra.io/mesh-generation: 2.2.0-1-1
  resourceVersion: '2738831'
  name: kiali
  uid: c7f9f0d4-54e2-474b-9489-0345292504e8
  creationTimestamp: '2022-04-18T17:25:13Z'
  generation: 3
  managedFields:
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"kiali.io/finalizer"': {}
      manager: ansible-operator
      operation: Update
      time: '2022-04-18T17:25:13Z'
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
      manager: ansible-operator
      operation: Update
      subresource: status
      time: '2022-04-18T17:25:13Z'
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubectl.kubernetes.io/last-applied-configuration': {}
            'f:maistra.io/mesh-generation': {}
          'f:labels':
            'f:maistra.io/owner': {}
            'f:app.kubernetes.io/managed-by': {}
            'f:app.kubernetes.io/name': {}
            .: {}
            'f:app.kubernetes.io/part-of': {}
            'f:maistra.io/owner-name': {}
            'f:app.kubernetes.io/version': {}
            'f:app.kubernetes.io/instance': {}
            'f:app.kubernetes.io/component': {}
            'f:maistra-version': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"61875c24-385a-470f-8552-a03b6bd6614c"}': {}
        'f:spec':
          .: {}
          'f:auth':
            .: {}
            'f:strategy': {}
          'f:deployment':
            .: {}
            'f:accessible_namespaces': {}
            'f:image_pull_policy': {}
            'f:ingress_enabled': {}
            'f:namespace': {}
          'f:external_services':
            .: {}
            'f:grafana':
              .: {}
              'f:auth':
                .: {}
                'f:password': {}
                'f:type': {}
                'f:use_kiali_token': {}
                'f:username': {}
              'f:enabled': {}
              'f:in_cluster_url': {}
              'f:url': {}
            'f:istio':
              .: {}
              'f:config_map_name': {}
              'f:istio_sidecar_injector_config_map_name': {}
              'f:istiod_deployment_name': {}
              'f:url_service_version': {}
            'f:prometheus':
              .: {}
              'f:auth':
                .: {}
                'f:password': {}
                'f:type': {}
                'f:use_kiali_token': {}
                'f:username': {}
              'f:url': {}
            'f:tracing':
              .: {}
              'f:auth':
                .: {}
                'f:password': {}
                'f:type': {}
                'f:use_kiali_token': {}
                'f:username': {}
              'f:enabled': {}
              'f:in_cluster_url': {}
              'f:namespace': {}
              'f:service': {}
              'f:url': {}
          'f:installation_tag': {}
          'f:istio_namespace': {}
      manager: istio-operator
      operation: Update
      time: '2022-04-18T17:25:13Z'
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:version': {}
      manager: Mozilla
      operation: Update
      time: '2022-04-18T17:29:00Z'
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:deployment':
            .: {}
            'f:accessibleNamespaces': {}
            'f:instanceName': {}
            'f:namespace': {}
          'f:environment':
            .: {}
            'f:isMaistra': {}
            'f:isOpenshift': {}
            'f:kubernetesVersion': {}
            'f:openshiftVersion': {}
            'f:operatorVersion': {}
          'f:progress':
            .: {}
            'f:duration': {}
            'f:message': {}
      manager: OpenAPI-Generator
      operation: Update
      subresource: status
      time: '2022-04-18T17:33:24Z'
  namespace: istio-system
  ownerReferences:
    - apiVersion: maistra.io/v2
      blockOwnerDeletion: true
      controller: true
      kind: ServiceMeshControlPlane
      name: basic
      uid: 61875c24-385a-470f-8552-a03b6bd6614c
  finalizers:
    - kiali.io/finalizer
  labels:
    app.kubernetes.io/part-of: istio
    app.kubernetes.io/instance: istio-system
    maistra.io/owner-name: basic
    app.kubernetes.io/version: 2.2.0-1-1
    app.kubernetes.io/component: kiali
    maistra-version: 2.2.0
    app.kubernetes.io/managed-by: maistra-istio-operator
    maistra.io/owner: istio-system
    app.kubernetes.io/name: kiali
spec:
  auth:
    strategy: openshift
  deployment:
    accessible_namespaces:
      - another-of-your-projects
      - bookinfo
      - your-project
    image_pull_policy: ''
    ingress_enabled: true
    namespace: istio-system
  external_services:
    grafana:
      auth:
        password: >-
          q6wLrVJ4zvyygTUm+rBUjl1K0Om3oEztJ/xLYOOOPwOkgvIiLfKWqDGSGp51tZQsBr+2sUWycMI9jstZBe7Xa51AL3EXLjR34vyP8A175gH76gTvD83ssA5m6QsZF1bHsURN3sFbXvV+29oYZP0jX1SKZXn16SZruZCZIHJj0iAZ+pboJCrfHUV3DOVCb/jhWtDJp4KRSu65erVGzSCtdWOlNlQtCJJ5huMI6iQVQh/xTTbTUjrFB+Q1cW3hXsKy0kRewixIrSYcMu2NKxPLoDwubSU7Z9Yxce4H4lxz9kjX6lBrUk3oGonfOL2eQFYd7AIY+l3xl+65y6Jf9RM1
        type: basic
        use_kiali_token: false
        username: internal
      enabled: true
      in_cluster_url: 'https://grafana.istio-system.svc:3000'
      url: 'https://grafana-istio-system.apps.matt-ocp410.maistra.upshift.redhat.com'
    istio:
      config_map_name: istio-basic
      istio_sidecar_injector_config_map_name: istio-sidecar-injector-basic
      istiod_deployment_name: istiod-basic
      url_service_version: 'http://istiod-basic.istio-system:15014/version'
    prometheus:
      auth:
        password: >-
          q6wLrVJ4zvyygTUm+rBUjl1K0Om3oEztJ/xLYOOOPwOkgvIiLfKWqDGSGp51tZQsBr+2sUWycMI9jstZBe7Xa51AL3EXLjR34vyP8A175gH76gTvD83ssA5m6QsZF1bHsURN3sFbXvV+29oYZP0jX1SKZXn16SZruZCZIHJj0iAZ+pboJCrfHUV3DOVCb/jhWtDJp4KRSu65erVGzSCtdWOlNlQtCJJ5huMI6iQVQh/xTTbTUjrFB+Q1cW3hXsKy0kRewixIrSYcMu2NKxPLoDwubSU7Z9Yxce4H4lxz9kjX6lBrUk3oGonfOL2eQFYd7AIY+l3xl+65y6Jf9RM1
        type: basic
        use_kiali_token: false
        username: internal
      url: 'https://prometheus.istio-system.svc:9090'
    tracing:
      auth:
        password: >-
          q6wLrVJ4zvyygTUm+rBUjl1K0Om3oEztJ/xLYOOOPwOkgvIiLfKWqDGSGp51tZQsBr+2sUWycMI9jstZBe7Xa51AL3EXLjR34vyP8A175gH76gTvD83ssA5m6QsZF1bHsURN3sFbXvV+29oYZP0jX1SKZXn16SZruZCZIHJj0iAZ+pboJCrfHUV3DOVCb/jhWtDJp4KRSu65erVGzSCtdWOlNlQtCJJ5huMI6iQVQh/xTTbTUjrFB+Q1cW3hXsKy0kRewixIrSYcMu2NKxPLoDwubSU7Z9Yxce4H4lxz9kjX6lBrUk3oGonfOL2eQFYd7AIY+l3xl+65y6Jf9RM1
        type: basic
        use_kiali_token: false
        username: internal
      enabled: true
      in_cluster_url: 'https://jaeger-query.istio-system.svc'
      namespace: istio-system
      service: ''
      url: 'https://jaeger-istio-system.apps.matt-ocp410.maistra.upshift.redhat.com'
  installation_tag: 'Kiali [istio-system]'
  istio_namespace: istio-system
  version: v1.48
status:
  conditions:
    - lastTransitionTime: '2022-04-18T17:26:33Z'
      message: ''
      reason: ''
      status: 'False'
      type: Failure
    - ansibleResult:
        changed: 14
        completion: '2022-04-18T17:33:25.538834'
        failures: 0
        ok: 125
        skipped: 80
      lastTransitionTime: '2022-04-18T17:25:13Z'
      message: Awaiting next reconciliation
      reason: Successful
      status: 'True'
      type: Running
    - lastTransitionTime: '2022-04-18T17:33:26Z'
      message: Last reconciliation succeeded
      reason: Successful
      status: 'True'
      type: Successful
  deployment:
    accessibleNamespaces: 'bookinfo,istio-system'
    instanceName: kiali
    namespace: istio-system
  environment:
    isMaistra: true
    isOpenshift: true
    kubernetesVersion: 1.23.5+b0357ed
    openshiftVersion: 4.10.6
    operatorVersion: v1.48.0
  progress:
    duration: '0:01:18'
    message: 8. Finished all resource creation
